Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create a new customer contract

Prev Next
Post
/customer-contracts/

Operation creates a new customer contract.

CustCons is required. The linked consumer point must have at least one active network subscription (water, sewer or storm water junction) or the request will be rejected with a 400 error.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Customer contract to be created

object
Contract_type
integer

Primary key of SnConstant (groupname CONTRACT_TYPE)

CustCons
integer Required

Primary key of the consumer point-customer link (SnConsumerPointCustomer). Required on create. The linked consumer point must have at least one active network subscription (water, sewer or storm water).

attached_doc_id
integer

Attached document id

contract_number
string

Contract number

end_date
string (date)

Contract end date

joining_payement
number

Joining payment amount

refund_date
string (date)

Date of refund

refundable
boolean

Whether the joining payment is refundable

start_date
string (date)

Contract start date

Responses
201

Created customer contract

object
Contract_type
integer

Primary key of SnConstant (groupname CONTRACT_TYPE)

CustCons
integer

Primary key of the consumer point-customer link (SnConsumerPointCustomer). Required on create. The linked consumer point must have at least one active network subscription (water, sewer or storm water).

attached_doc_id
integer

Attached document id

contract_number
string

Contract number

end_date
string (date)

Contract end date

id
integer

Primary key

joining_payement
number

Joining payment amount

refund_date
string (date)

Date of refund

refundable
boolean

Whether the joining payment is refundable

start_date
string (date)

Contract start date

400

There was an error in request. Usually field validation failed.

Fields which failed validation

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error